/*

  p.WhereIsIt()  : Produces a message that say program execution point and backward 
                   calling sequence. 
                   
  Purpose : for debugging purposes only
                   
  Syntax : WhereIsIt() => NIL
  
  Parameters : No parameter required
  
  Return : WhereIsIt() always returns NIL
  
  History : 8.2006 : First release                  
                     
*/
PROC WhereIsIt()

   LOCA nLevel   := 0,;
        cMessage := ''

   WHILE !(PROCNAME(++nLevel) == "")
      cMessage += IF( nLevel < 2, SPAC( 11 ), "from : " ) + ;
                          PROCNAME( nLevel ) + ;
                          " (" + LTRIM( STR( PROCLINE( nLevel ) ) ) + ")" + CRLF
   ENDDO
      
   MsgInfo( cMessage, "It's in :" )
            
RETU // WhereIsIt()

*.-._.-._.-._.-._.-._.-._.-._.-